# Uses of Interface
org.opensaml.xmlsec.signature.SPKISexp

Packages that use SPKISexp
Package
Description
org.opensaml.xmlsec.signature
XMLObject interfaces and helper classes for representing digitally signed content and signing/validating content.
org.opensaml.xmlsec.signature.impl
Implementations of the interfaces for XMLObjects that represent XML signature types.

## Uses of SPKISexp in org.opensaml.xmlsec.signature

Methods in org.opensaml.xmlsec.signature that return types with arguments of type SPKISexp
Modifier and Type
Method
Description
`List<SPKISexp>`
SPKIData.`getSPKISexps()`
Get the list of SPKISexp child elements.

## Uses of SPKISexp in org.opensaml.xmlsec.signature.impl

Classes in org.opensaml.xmlsec.signature.impl that implement SPKISexp
Modifier and Type
Class
Description
`class`
`SPKISexpImpl`
Concrete implementation of `SPKISexp`.
Methods in org.opensaml.xmlsec.signature.impl that return SPKISexp
Modifier and Type
Method
Description
`SPKISexp`
SPKISexpBuilder.`buildObject()`
Builds an XMLObject using the default name and namespace information provided by the XML Signature specifications.
`SPKISexp`
SPKISexpBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.xmlsec.signature.impl that return types with arguments of type SPKISexp
Modifier and Type
Method
Description
`List<SPKISexp>`
SPKIDataImpl.`getSPKISexps()`
Get the list of SPKISexp child elements.